Host and hostgroup clone doesn’t copy smart class parameters overrides
12/09/2015 05:18 AM - Ori Rabin

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: Parameters
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2968
Description

When cloning a host/hg the smart class parameters/variables that are overridden do not clone their value.
The cloned host shows that these parameters are overridden but shows them with the original value.

This happens only through the Ul, when cloning through API the lookup values are cloned.

Related issues:
Related to Foreman - Refactor #11458: Allow overriding parameters inline in h... Closed 08/24/2015

Associated revisions

Revision e0e41840 - 12/10/2015 07:13 AM - Ori Rabin

Fixes #12752 - Host and hostgroup clone should copy smart class parameters overrides

History

#1 - 12/09/2015 08:50 AM - Ori Rabin
- Description updated

- Category changed from Parameters to Web Interface

#2 - 12/09/2015 09:08 AM - Dominic Cleal

- Related to Bug #12609: Boolean parameter overrides are not displayed correctly on host form added

#3 - 12/09/2015 09:08 AM - Dominic Cleal
- Category changed from Web Interface to Parameters

- translation missing: en.field_release set to 71

#4 - 12/09/2015 09:13 AM - Tomer Brisker

- Related to Refactor #11458: Allow overriding parameters inline in host & hostgroup forms added

#5 - 12/09/2015 09:13 AM - Tomer Brisker

- Related to deleted (Bug #12609: Boolean parameter overrides are not displayed correctly on host form)

#6 - 12/09/2015 09:19 AM - Dominic Cleal

It seems to be working as of #11458, but not as of #12609. Either way, this seems to be a regression.

There is also a partial regression of 003359564, as | see invalid match/value errors on the clone form which were hidden before.

#7 - 12/09/2015 09:21 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2968 added
#8 - 12/10/2015 08:01 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset e0e41840c0d1bae0f2d25{84259d2e173fda7ab?.
